#ifndef EDITWINDOW_H
#define EDITWINDOW_H

#include <QDebug>
#include <QMainWindow>
#include <QMessageBox>

#include <iostream>

#include "db.h"
#include "fullQuery.h"
#include "EditWindow.h"
#include "status.h"
#include "ui_EditWindow.h"

namespace Ui {
    class EditWindow;
}

class EditWindow : public QMainWindow {
    Q_OBJECT

public:
    explicit EditWindow(int idSocio, QWidget *parent);
    ~EditWindow();

private slots:
    void on_buttonSalva_clicked();
    void on_buttonAnnulla_clicked();

private:
    QLineEdit* lineID = nullptr;
    QLineEdit* lineNome = nullptr;
    QLineEdit* lineCognome = nullptr;
    QLineEdit* lineComuneResidenza = nullptr;
    QLineEdit* lineEmail = nullptr;
    QDateEdit* dateDataNascita = nullptr;
    QDateEdit* dateDataCompilazione = nullptr;
    QComboBox* comboProfessione = nullptr;
    QComboBox* comboFonte = nullptr;
    QCheckBox* checkAbilitaQuestionario = nullptr;

    QSqlQuery query;

    Ui::EditWindow *ui;
};

#endif

