#ifndef SOCIMODEL_H
#define SOCIMODEL_H

#include <QAbstractTableModel>
#include <QDebug>
#include <QSqlQuery>
#include <QSqlRecord>

class SociModel : public QAbstractTableModel {
    Q_OBJECT
    private:
        QSqlQuery& query;

    public:
        SociModel(QObject* parent, QSqlQuery& query);
        int rowCount(const QModelIndex& parent = QModelIndex()) const;
        int columnCount(const QModelIndex& parent = QModelIndex()) const;
        QVariant data(const QModelIndex& index, int role = Qt::DisplayRole) const;
};

#endif